/* $Id: kModulePage.h,v 1.1 2000/04/29 19:06:35 stknut Exp $
 *
 * kModulePage - Module overview dialog. (to be notebook page)
 *
 * Copyright (c) 2000 knut st. osmundsen (knut.stange.osmundsen@pmsc.no)
 *
 */

#ifndef _kModulePage_h_
#define _kModulePage_h_


/**
 * @description The Module overview dialog (later notebook page).
 * @author      knut st. osmundsen
 */
class kModulePage : public kNotebookPageBase
{
protected:
    /** @cat Data members */
    kModuleContainer *  pContainer;
    POINTL              ptlBorder;


    /** @cat event overrides */
    VOID  cnrContextMenu(USHORT usId, PRECORDCORE pRecord);
    VOID  cnrEnter(USHORT usId, HWND hwndCnr, PRECORDCORE pRecord, ULONG fKey);

public:
    kModulePage(kNotebookBase *pNtbk) throw (kError);
    kModulePage(kNotebookBase *pNtbk, USHORT hMTE) throw (kError);
    ~kModulePage();

    VOID  ntfySized(LONG cx, LONG cy);
};

#endif

